Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Interface PropertyAccessor

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  ArcProperty, CollectionProperty, Property, SingleObjectArcProperty

All Known Implementing Classes:
  AbstractCollectionProperty, AbstractSingleObjectArcProperty, BeanAccessor, DataObjectAccessor, FieldAccessor, IndexedListProperty, ListProperty, PersistentObjectProperty, SimpleProperty, ToManyListProperty, ValueHolderProperty

    public interface PropertyAccessor

extends java.io.Serializable

An accessor of a property value. Abstracts the actual property implementation. E.g. it can be a Field, a pair of get/set methods or a DataObject.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`java.lang.String` | `getName()` Returns property name.
`java.lang.Object` | `readPropertyDirectly(java.lang.Object object)` Returns a property value of an object without disturbing the object fault status.
`void` | `writePropertyDirectly(java.lang.Object object, java.lang.Object oldValue, java.lang.Object newValue)` Sets a property value of an object without disturbing the object fault status.

Method Detail

### getName

    java.lang.String getName()

  Returns property name.

### readPropertyDirectly

    java.lang.Object readPropertyDirectly(java.lang.Object object)
                                          throws PropertyAccessException

  Returns a property value of an object without disturbing the object fault status.

  Throws:
    `PropertyAccessException`

### writePropertyDirectly

    void writePropertyDirectly(java.lang.Object object,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)
                               throws PropertyAccessException

  Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.

  Throws:
    `PropertyAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.